Translation

Archive or permanently delete a translation key

If the key is not archived: soft-deletes it (sets deleted_at = NOW()). If the key is already archived: permanently removes it along with translations, source_story records and writes history. Requires SourceDelete permission for archiving and SourceDeleteDeleted for permanent removal.

DELETE
/api/v2/keys/{id}

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

Source (key) identifier

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/v2/keys/42"
{  "message": "ok"}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
Empty